MultiplanParserInternal::State Struct Reference

Internal: the state of a MultiplanParser. More...

## Public Member Functions

| State ()
| constructor
std::vector< float > | getColumnsWidth () const
| returns the column width in point

## Public Attributes

MWAWFont | m_font
| the default font
MWAWVec2i | m_maximumCell
| the maximumCell
std::vector< int > | m_columnPositions
| the columns begin position in point
MWAWEntry | m_hfpEntries [3]
| the header/footer/printer message entries
std::vector< std::vector< int > > | m_cellPositions
| the positions of each cell: a vector for each row
std::set< int > | m_cellPositionsSet
| the list of all position (use for checking)
MWAWEntry | m_entries [9]
| the different main spreadsheet zones
std::map< int, MWAWCellContent::FormulaInstruction > | m_posToLinkMap
| the list of link instruction
std::map< int, MWAWCellContent::FormulaInstruction > | m_posToNameMap
| the map name's pos to name's cell instruction
std::set< int > | m_posToSharedDataSeen
| a set a shared data already seen

## Detailed Description

Internal: the state of a MultiplanParser.

## Constructor & Destructor Documentation

## State()

MultiplanParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getColumnsWidth()

std::vector< float > MultiplanParserInternal::State::getColumnsWidth | ( |  | ) | const

returns the column width in point

## Member Data Documentation

## m_cellPositions

std::vector<std::vector<int> > MultiplanParserInternal::State::m_cellPositions

the positions of each cell: a vector for each row

Referenced by State().

## m_cellPositionsSet

std::set<int> MultiplanParserInternal::State::m_cellPositionsSet

the list of all position (use for checking)

Referenced by State().

## m_columnPositions

std::vector<int> MultiplanParserInternal::State::m_columnPositions

the columns begin position in point

Referenced by getColumnsWidth(), and State().

## m_entries

MWAWEntry MultiplanParserInternal::State::m_entries[9]

the different main spreadsheet zones

## m_font

MWAWFont MultiplanParserInternal::State::m_font

the default font

Referenced by State().

## m_hfpEntries

MWAWEntry MultiplanParserInternal::State::m_hfpEntries[3]

the header/footer/printer message entries

## m_maximumCell

MWAWVec2i MultiplanParserInternal::State::m_maximumCell

the maximumCell

Referenced by State().

## m_posToLinkMap

std::map<int, MWAWCellContent::FormulaInstruction> MultiplanParserInternal::State::m_posToLinkMap

the list of link instruction

Referenced by State().

## m_posToNameMap

std::map<int, MWAWCellContent::FormulaInstruction> MultiplanParserInternal::State::m_posToNameMap

the map name's pos to name's cell instruction

Referenced by State().

## m_posToSharedDataSeen

std::set<int> MultiplanParserInternal::State::m_posToSharedDataSeen

a set a shared data already seen

Referenced by State().

The documentation for this struct was generated from the following file:

- MultiplanParser.cxx